Python zero_ex.contract_wrappers
================================

.. toctree::
   :maxdepth: 2
   :caption: Contents:

.. automodule:: zero_ex.contract_wrappers
   :members:


zero_ex.contract_wrappers.Exchange
==================================

.. autoclass:: zero_ex.contract_wrappers.Exchange
   :members:
   :special-members:


zero_ex.contract_wrappers.ERC20Token
====================================

.. autoclass:: zero_ex.contract_wrappers.ERC20Token
   :members:
   :special-members:


zero_ex.contract_wrappers.TxParams
==================================

.. autoclass:: zero_ex.contract_wrappers.TxParams
   :members:

zero_ex.contract_wrappers.exchange.types
========================================

.. automodule:: zero_ex.contract_wrappers.exchange.types

.. autoclass:: zero_ex.contract_wrappers.exchange.types.Order

.. autoclass:: zero_ex.contract_wrappers.exchange.types.OrderInfo

.. autoclass:: zero_ex.contract_wrappers.exchange.types.FillResults

.. autoclass:: zero_ex.contract_wrappers.exchange.types.MatchedFillResults

zero_ex.contract_wrappers.exchange: Generated Tuples
====================================================

.. autoclass:: zero_ex.contract_wrappers.exchange.Tuple0x260219a2

    This is the generated class representing `the Order struct <https://0x.org/docs/contracts#structs-Order>`_.

.. autoclass:: zero_ex.contract_wrappers.exchange.Tuple0xbb41e5b3

    This is the generated class representing `the FillResults struct <https://0x.org/docs/contracts#structs-FillResults>`_.

.. autoclass:: zero_ex.contract_wrappers.exchange.Tuple0x054ca44e

    This is the generated class representing `the MatchedFillResults struct <https://0x.org/docs/contracts#structs-MatchedFillResults>`_.

.. autoclass:: zero_ex.contract_wrappers.exchange.Tuple0xb1e4a1ae

    This is the generated class representing `the OrderInfo struct <https://0x.org/docs/contracts#structs-OrderInfo>`_.

Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`
